gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A GtkMenuShell is the abstract base class used to derive the GtkMenu and GtkMenuBar subclasses.

A is a container of objects arranged in a list which can be navigated, selected, and activated by the user to perform application functions. A can have a submenu associated with it, allowing for nested hierarchical menus.

Gtk.Container
- Method
  System.Void `` Adds a new to the beginning of the menu shell's item list. The to add. Activates the menu item within the menu shell.

  Adds a new to the beginning of the menu shell's item list.

- Method
  System.Void Deactivates the menu shell.

  Typically this results in the menu shell being erased from the screen.

- Method
  System.Void `` `` Activates the menu item within the menu shell. The to activate. If , force the deactivation of the menu shell after the menu item is activated.

  Activates the menu item within the menu shell.

- Method
  System.Void `` `` Adds a new to the menu shell's item list at the position indicated by . The to add. The position in the item list where is added. Positions are numbered from 0 to n-1.

  Adds a new to the menu shell's item list at the position indicated by position.

- Method
  System.Void Deselects the currently selected item from the menu shell, if any.

  Deselects the currently selected item from the menu shell, if any.

- Method
  System.Void `` Adds a new to the end of the menu shell's item list. The to add.

  Adds a new to the end of the menu shell's item list.

- Method
  System.Void `` Selects the menu item from the menu shell. The to select.

  Selects the menu item from the menu shell.

- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Event
  Gtk.ActivateCurrentHandler An action signal that activates the current menu item within the menu shell. GLib.Signal("activate_current")
- Event
  Gtk.MoveCurrentHandler An action signal which moves the current menu item in the direction specified by . GLib.Signal("move_current")
- Event
  System.EventHandler This signal is emitted when a selection has been completed within a menu shell. GLib.Signal("selection-done")
- Event
  System.EventHandler This signal is emitted when a menu shell is deactivated. GLib.Signal("deactivate")
- Method
  System.Void `` Select the first visible or selectable child of the menu shell; don't select tearoff items unless the only item is a tearoff item. a If is true, search for the first selectable menu item, otherwise select nothing if the first item isn't sensitive. This should be false if the menu is being popped up initially.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  Protected constructor.
- Event
  System.EventHandler An action signal which cancels the selection within the menu shell.Causes the signal to be emitted. GLib.Signal("cancel")
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Emits the Canceled event.
- Property
  GLib.Property("take-focus")
  System.Boolean Indicates if the keyboard focus should be grabbed when active. if the keyboard focus is taken when active. By default, this is true. Setting to false can have unexpected side effects and in general should only be done with menus that don't contain mnemonics.
- Event
  GLib.Signal("move_selected")
  Gtk.MoveSelectedHandler To be added. To be added.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.